From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-dotnet/dotnet-sdk-bin/
Date: Tue, 19 Jul 2022 19:32:14 +0000 (UTC) [thread overview]
Message-ID: <1658259131.d6180b30fd265c2c5b64bf2d809ea41d67769095.xgqt@gentoo> (raw)
commit: d6180b30fd265c2c5b64bf2d809ea41d67769095
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 19:22:54 2022 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 19:32:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6180b30
dev-dotnet/dotnet-sdk-bin: bump to 6.0.302
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-dotnet/dotnet-sdk-bin/Manifest | 3 ++
.../dotnet-sdk-bin/dotnet-sdk-bin-6.0.302.ebuild | 58 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-dotnet/dotnet-sdk-bin/Manifest b/dev-dotnet/dotnet-sdk-bin/Manifest
index 8dcc1b73cf9c..540895c6459b 100644
--- a/dev-dotnet/dotnet-sdk-bin/Manifest
+++ b/dev-dotnet/dotnet-sdk-bin/Manifest
@@ -19,3 +19,6 @@ DIST dotnet-sdk-6.0.300-linux-x64.tar.gz 183135556 BLAKE2B bd7c2f1f3a526fd8b006b
DIST dotnet-sdk-6.0.301-linux-arm.tar.gz 179000042 BLAKE2B 1956ca30eb149c71b6089090ea4c3ddb454113bdd6d78b7081cab9c07813fe08e93eb517c0eb94360c9435683fa7c7d65372985f06806673b949e8d3e762c948 SHA512 ef7d028b80eaaae18b71195e89e00dea2186d455f7b72f373fc0a57074e8320c8e9245167c06e30a2ddade4ab21ad5e8b05d04a6ea11c1de68b7c9a6f9807d25
DIST dotnet-sdk-6.0.301-linux-arm64.tar.gz 176804289 BLAKE2B 6f2fe31458b24008a1f197f77652e5feadd76d37974de87d4913b6f23326db3f275843113959dd097a9083a71e7daf7e19a5d75f0a9d5e7d6cbf665c62dd8ce6 SHA512 978dd04f78ac3d6b594c47f1482bba0abe93f0b37379c1c46a2b9b33bdf5188576b055250546295de39bb22cba93ea9b31c31bb026a319ad1b3fc507db44481f
DIST dotnet-sdk-6.0.301-linux-x64.tar.gz 182966798 BLAKE2B ffc4e68efa9c1fbd8fe665fd7e6ba848446b5f9b9e16f96ea334d6d3308e6de637a528d232f417067c8e585c4e3ec131c6c52a384ce913853cea180d8ab4745d SHA512 2f434ea4860ee637e9cf19991a80e1febb1105531dd96b4fbc728d538ca0ab202a0bdff128fd13b269fac3ba3bc9d5f9c49039a6e0d7d32751e8a2bb6d790446
+DIST dotnet-sdk-6.0.302-linux-arm.tar.gz 179253313 BLAKE2B faa9a1a7eafd261b4b7e47a3118cae1f5a47977d7b51d7eebb1c8ad1f42ebbe6c0baafe279f2df4b513c22b3450c80fcb338120edb660082bf9e0523ba3943f6 SHA512 0d31c7e8ccf02c8dea92d7b60bcb15e15912d74e7ee2ab8fd88ee03c4fbd8f292c356357d08ec23c2aedc5e3e0803d42ce16f3fff36245739d0cac6634bc3387
+DIST dotnet-sdk-6.0.302-linux-arm64.tar.gz 176713012 BLAKE2B 685a08373753cf5d4ff05d783429248a5411cffebc80e137cad690168c29dc981612aadac025ad8c076cd0ad6f8faf574ae25dc1fe7d3aad4c51b7da264532e8 SHA512 26e98a63665d707b1a7729f1794077316f9927edd88d12d82d0357fe597096b0d89b64a085fcdf0cf49807a443bbfebb48e10ea91cea890846cf4308e67c4ea5
+DIST dotnet-sdk-6.0.302-linux-x64.tar.gz 183170672 BLAKE2B b4760bc5487dd791c5e61a70693bbcdfc84d1f597dbb0c3f10b8389de761a96fbf92e1b3bcff814e240222045c4532fa19af738b4e8017988bf8d1e39e3a7ea4 SHA512 ac1d124802ca035aa00806312460b371af8e3a55d85383ddd8bb66f427c4fabae75b8be23c45888344e13b283a4f9c7df228447c06d796a57ffa5bb21992e6a4
diff --git a/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.302.ebuild b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.302.ebuild
new file mode 100644
index 000000000000..4a71ab6b42e1
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.302.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV="${PV}"
+
+DESCRIPTION=".NET is a free, cross-platform, open-source developer platform"
+HOMEPAGE="https://dotnet.microsoft.com/"
+LICENSE="MIT"
+
+SRC_URI="
+amd64? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-x64.tar.gz )
+arm? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-arm.tar.gz )
+arm64? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-arm64.tar.gz )
+"
+
+SLOT="6.0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="+dotnet-symlink"
+REQUIRED_USE="elibc_glibc"
+QA_PREBUILT="*"
+RESTRICT+=" splitdebug"
+RDEPEND="
+ app-crypt/mit-krb5:0/0
+ dev-util/lttng-ust:0
+ sys-libs/zlib:0/1
+ dotnet-symlink? (
+ !dev-dotnet/dotnet-sdk[dotnet-symlink(+)]
+ !dev-dotnet/dotnet-sdk-bin:3.1[dotnet-symlink(+)]
+ !dev-dotnet/dotnet-sdk-bin:5.0[dotnet-symlink(+)]
+ )
+"
+
+S=${WORKDIR}
+
+src_install() {
+ local dest="opt/${PN}-${SLOT}"
+ dodir "${dest%/*}"
+
+ # 6.0.100 is SDK feature band which will not change between minor increases, so 6.0.101, 6.102
+ # will still have same 6.0.100 SDK feature band in the name. Thus I have to hard code this
+ # https://github.com/dotnet/sdk/pull/18823#issuecomment-915603684
+ local workloads="metadata/workloads/${SLOT}.100"
+
+ { mkdir -p "${S}/${workloads}" && touch "${S}/${workloads}/userlocal"; } || die
+ { mv "${S}" "${ED}/${dest}" && mkdir "${S}" && fperms 0755 "/${dest}"; } || die
+ dosym "../../${dest}/dotnet" "/usr/bin/dotnet-bin-${SLOT}"
+
+ if use dotnet-symlink; then
+ dosym "../../${dest}/dotnet" "/usr/bin/dotnet"
+ dosym "../../${dest}/dotnet" "/usr/bin/dotnet-${SLOT}"
+
+ # set an env-variable for 3rd party tools
+ echo "DOTNET_ROOT=/${dest}" > "${T}/90${PN}-${SLOT}" || die
+ doenvd "${T}/90${PN}-${SLOT}"
+ fi
+}
next reply other threads:[~2022-07-19 19:32 UTC|newest]
Thread overview: 157+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-19 19:32 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-04 16:52 [gentoo-commits] repo/gentoo:master commit in: dev-dotnet/dotnet-sdk-bin/ Maciej Barć
2025-02-04 12:52 Maciej Barć
2024-12-27 18:52 Maciej Barć
2024-12-20 22:58 Sam James
2024-12-20 22:58 Sam James
2024-12-20 22:58 Sam James
2024-12-10 1:33 Maciej Barć
2024-12-10 1:33 Maciej Barć
2024-11-19 19:59 Maciej Barć
2024-11-19 19:59 Maciej Barć
2024-11-19 19:59 Maciej Barć
2024-09-26 17:19 Maciej Barć
2024-09-26 17:19 Maciej Barć
2024-09-26 17:19 Maciej Barć
2024-09-04 8:09 Maciej Barć
2024-09-04 8:09 Maciej Barć
2024-09-04 1:57 Sam James
2024-09-04 1:01 Sam James
2024-08-24 15:44 Maciej Barć
2024-08-24 15:44 Maciej Barć
2024-08-23 13:00 Arthur Zamarin
2024-08-11 19:50 Arthur Zamarin
2024-08-10 20:16 Sam James
2024-07-21 18:56 Maciej Barć
2024-07-21 18:56 Maciej Barć
2024-07-21 18:56 Maciej Barć
2024-06-19 12:46 Maciej Barć
2024-06-19 12:46 Maciej Barć
2024-06-04 15:17 Maciej Barć
2024-06-04 15:17 Maciej Barć
2024-06-04 15:17 Maciej Barć
2024-05-22 9:38 Maciej Barć
2024-05-22 0:53 Sam James
2024-05-22 0:53 Sam James
2024-05-21 16:01 Maciej Barć
2024-05-21 16:01 Maciej Barć
2024-05-21 16:01 Maciej Barć
2024-05-21 0:51 Maciej Barć
2024-05-01 15:42 Maciej Barć
2024-04-28 23:53 Maciej Barć
2024-04-28 23:53 Maciej Barć
2024-04-23 1:31 Sam James
2024-04-23 1:31 Sam James
2024-04-23 1:31 Sam James
2024-04-19 11:20 Arthur Zamarin
2024-04-17 23:35 Sam James
2024-04-17 22:29 Sam James
2024-04-14 21:57 Maciej Barć
2024-04-11 19:44 Sam James
2024-04-11 17:07 Arthur Zamarin
2024-04-11 4:55 Arthur Zamarin
2024-03-20 19:30 Maciej Barć
2024-03-13 16:40 Maciej Barć
2024-03-10 0:29 Maciej Barć
2024-03-08 12:52 Arthur Zamarin
2024-03-08 10:22 Sam James
2024-03-08 10:22 Sam James
2024-02-21 18:50 Maciej Barć
2024-02-21 18:50 Maciej Barć
2024-02-01 13:22 Maciej Barć
2024-02-01 10:10 Maciej Barć
2024-01-12 23:22 Maciej Barć
2023-12-17 12:39 Sam James
2023-12-17 0:05 Sam James
2023-12-17 0:05 Sam James
2023-12-13 17:17 Maciej Barć
2023-11-26 0:04 Maciej Barć
2023-11-26 0:04 Maciej Barć
2023-11-25 22:56 Sam James
2023-11-25 22:56 Sam James
2023-11-24 21:53 Sam James
2023-11-24 21:53 Sam James
2023-11-24 21:53 Sam James
2023-11-24 21:53 Sam James
2023-11-24 20:09 Maciej Barć
2023-11-24 20:09 Maciej Barć
2023-11-24 20:09 Maciej Barć
2023-11-24 20:09 Maciej Barć
2023-11-18 1:31 Maciej Barć
2023-11-13 22:04 Sam James
2023-10-28 14:05 Maciej Barć
2023-10-14 9:56 Maciej Barć
2023-10-14 9:56 Maciej Barć
2023-10-14 9:08 Sam James
2023-10-14 9:06 Sam James
2023-10-14 9:06 Sam James
2023-09-17 19:32 Maciej Barć
2023-09-17 19:32 Maciej Barć
2023-09-17 19:32 Maciej Barć
2023-09-16 22:58 Sam James
2023-09-16 14:48 Maciej Barć
2023-09-16 14:48 Maciej Barć
2023-09-16 14:41 Sam James
2023-09-16 9:27 Sam James
2023-09-16 7:04 Sam James
2023-09-15 20:49 Maciej Barć
2023-06-19 18:29 Maciej Barć
2023-06-19 18:29 Maciej Barć
2023-06-19 18:29 Maciej Barć
2023-06-19 18:29 Maciej Barć
2023-02-28 18:03 Maciej Barć
2023-02-16 11:59 Maciej Barć
2023-02-16 11:59 Maciej Barć
2023-01-11 3:53 Maciej Barć
2023-01-11 3:53 Maciej Barć
2022-12-27 13:44 Maciej Barć
2022-12-27 13:44 Maciej Barć
2022-12-16 9:47 Maciej Barć
2022-12-16 9:47 Maciej Barć
2022-12-07 1:25 Maciej Barć
2022-11-18 20:38 Maciej Barć
2022-11-18 0:26 Maciej Barć
2022-11-18 0:26 Maciej Barć
2022-10-15 0:12 Maciej Barć
2022-10-15 0:12 Maciej Barć
2022-09-20 23:40 Maciej Barć
2022-09-20 23:40 Maciej Barć
2022-09-20 23:40 Maciej Barć
2022-09-20 23:40 Maciej Barć
2022-09-20 23:40 Maciej Barć
2022-08-13 15:17 Maciej Barć
2022-08-13 15:17 Maciej Barć
2022-08-13 15:17 Maciej Barć
2022-08-13 15:17 Maciej Barć
2022-07-20 23:26 Maciej Barć
2022-07-20 23:11 Maciej Barć
2022-07-19 19:32 Maciej Barć
2022-07-19 19:32 Maciej Barć
2022-07-19 19:32 Maciej Barć
2022-07-19 19:32 Maciej Barć
2022-06-19 1:30 Maciej Barć
2022-06-19 1:30 Maciej Barć
2022-06-19 1:30 Maciej Barć
2022-06-19 1:30 Maciej Barć
2022-05-11 22:25 Maciej Barć
2022-05-11 22:25 Maciej Barć
2022-05-11 22:25 Maciej Barć
2022-05-06 19:48 Maciej Barć
2022-05-06 19:48 Maciej Barć
2022-05-06 19:48 Maciej Barć
2022-05-06 19:48 Maciej Barć
2022-05-06 19:48 Maciej Barć
2022-05-06 19:16 Maciej Barć
2022-05-06 16:20 Michał Górny
2022-05-06 16:20 Michał Górny
2022-03-13 15:55 Zac Medico
2022-03-13 15:55 Zac Medico
2022-03-13 15:55 Zac Medico
2022-02-12 19:56 Zac Medico
2022-02-12 19:56 Zac Medico
2022-02-12 19:56 Zac Medico
2021-12-18 19:14 Zac Medico
2021-12-04 20:08 Zac Medico
2021-11-22 2:50 Zac Medico
2021-06-28 15:23 Zac Medico
2021-06-27 20:46 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1658259131.d6180b30fd265c2c5b64bf2d809ea41d67769095.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox